| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs
zconf.h File Reference
`#include <unistd.h>`

Go to the source code of this file.

## Macros
#define | const /* note: need a more gentle solution here */
#define | MAX_MEM_LEVEL 9
#define | MAX_WBITS 15 /* 32K LZ77 window */
#define | OF(args) ()
#define | ZEXTERN extern
#define | ZEXPORT
#define | ZEXPORTVA
#define | FAR
#define | Z_HAVE_UNISTD_H
#define | z_off_t off_t
#define | SEEK_SET 0 /* Seek from beginning of file. */
#define | SEEK_CUR 1 /* Seek from current position. */
#define | SEEK_END 2 /* Set file pointer to EOF plus "offset" */
#define | z_off64_t z_off_t

## Typedefs
typedef unsigned char | Byte
typedef unsigned int | uInt
typedef unsigned long | uLong
typedef Byte FAR | Bytef
typedef char FAR | charf
typedef int FAR | intf
typedef uInt FAR | uIntf
typedef uLong FAR | uLongf
typedef Byte const * | voidpc
typedef Byte FAR * | voidpf
typedef Byte * | voidp

## Macro Definition Documentation

#define const /* note: need a more gentle solution here */

Definition at line 196 of file zconf.h.

#define FAR

Definition at line 329 of file zconf.h.

#define MAX_MEM_LEVEL 9

Definition at line 210 of file zconf.h.

#define MAX_WBITS 15 /* 32K LZ77 window */

Definition at line 220 of file zconf.h.

#define OF | ( |  | args | ) | ()

Definition at line 242 of file zconf.h.

#define SEEK_CUR 1 /* Seek from current position. */

Definition at line 389 of file zconf.h.

#define SEEK_END 2 /* Set file pointer to EOF plus "offset" */

Definition at line 390 of file zconf.h.

#define SEEK_SET 0 /* Seek from beginning of file. */

Definition at line 388 of file zconf.h.

#define Z_HAVE_UNISTD_H

Definition at line 360 of file zconf.h.

#define z_off64_t z_off_t

Definition at line 400 of file zconf.h.

#define z_off_t off_t

Definition at line 383 of file zconf.h.

#define ZEXPORT

Definition at line 322 of file zconf.h.

#define ZEXPORTVA

Definition at line 325 of file zconf.h.

#define ZEXTERN extern

Definition at line 319 of file zconf.h.

## Typedef Documentation

typedef unsigned char Byte

Definition at line 333 of file zconf.h.

typedef Byte FAR Bytef

Definition at line 342 of file zconf.h.

typedef char FAR charf

Definition at line 344 of file zconf.h.

typedef int FAR intf

Definition at line 345 of file zconf.h.

typedef unsigned int uInt

Definition at line 335 of file zconf.h.

typedef uInt FAR uIntf

Definition at line 346 of file zconf.h.

typedef unsigned long uLong

Definition at line 336 of file zconf.h.

typedef uLong FAR uLongf

Definition at line 347 of file zconf.h.

typedef Byte* voidp

Definition at line 356 of file zconf.h.

typedef Byte const* voidpc

Definition at line 354 of file zconf.h.

typedef Byte FAR* voidpf

Definition at line 355 of file zconf.h.